%Bc. Roman Slabý 
%%% Převod bin čísla na dec
%př  pm=2    vstup= 00-11    výstup 0-3
%    pm=4    vstup= 0000-1111    výstup 0-15

function [Dec] = fce_dec_bin(bin,pm);

    a=0;dec=0;Dec=0;

    for n=1:pm
            dec=a+((2^(pm-n))*bin(n));
            Dec=Dec+dec;            
    end
    
end